export interface BindFormxProps {
    key: string;
    prop: string;
    value: any;
    error: {
        message: string;
    };
    getRules: (prop: string, trigger?: string) => any;
    setFieldsValue: (value: object) => void;
    validate: (keys?: string[], trigger?: 'change' | 'blur') => void;
}
export interface FormState<T> {
    value: T;
    error: object;
}
export interface Action {
    type: 'setValue' | 'setError' | 'reset';
    payload: object;
}
declare function useFormx<T extends object>(initialValue?: T, rules?: object): {
    bindFormx: (prop: string) => BindFormxProps;
    validate: (keys?: string[] | undefined, trigger?: "change" | "blur" | undefined) => Promise<any>;
    setFieldsValue: (payload: object) => void;
    setFieldsError: (payload: object) => void;
    resetFields: () => void;
    value: T;
    error: object;
};
export default useFormx;
